package com.acme.vcutil.supplier;

import com.acme.model.domain.sc.entity.Order;
import com.acme.resource.ResourceHelper;
import com.acme.structure.util.ConversionUtil;
import com.acme.structure.util.datalist.SimpleStaticListSupplier;
import com.acme.structure.util.datalist.StaticData;

public class PaymentTypeSupplier extends SimpleStaticListSupplier
{
    public void loadList()
    {
        clearList();
        list.add(new StaticData(Order.PAYMENTTYPE_NOTSET, ""));
        list.add(new StaticData(Order.PAYMENTTYPE_CASH, ResourceHelper.getStringResourceItem("SC", "paymenttypesupplier_cash")));
        list.add(new StaticData(Order.PAYMENTTYPE_CREDITCARD, ResourceHelper.getStringResourceItem("SC", "paymenttypesupplier_creditcard")));
        list.add(new StaticData(Order.PAYMENTTYPE_MULTINET, ResourceHelper.getStringResourceItem("SC", "paymenttypesupplier_multinet")));
        list.add(new StaticData(Order.PAYMENTTYPE_SODEXHO, ResourceHelper.getStringResourceItem("SC", "paymenttypesupplier_sodexho")));
        list.add(new StaticData(Order.PAYMENTTYPE_TICKET, ResourceHelper.getStringResourceItem("SC", "paymenttypesupplier_ticket")));        
        itemList.addAll(ConversionUtil.getConvertedToSelectItemListWithStaticData(list, false));
    }

    public String getListName()
    {
        return "paymenttypes";
    }

}
